<?php
/**
 * Add inline styles to the head area
 * These styles represents options from the customizer
 *
 * @package Equable_Lite
*/
 
 // Dynamic styles
function equable_lite_inline_styles($custom) {
	
// BEGIN CUSTOM CSS	

	if( esc_attr(get_theme_mod( 'equable_lite_show_excerpt_readmore', false ) ) ) :
		$custom .= ".blog .more-link, .archive .more-link { display:inline-block;}	"."\n";
	endif; 
	
	if( esc_attr(get_theme_mod( 'equable_lite_show_dropcap', true ) ) ) :
		$custom .= "
		.single-post .entry-content > p:first-of-type::first-letter {
		font-weight: 700;
		font-style: normal;
		font-family: \"Times New Roman\", Times, serif;
		font-size: 6rem;
		font-weight: normal;
		line-height: 0.8;
		color: #222;
		float: left;
		margin: 6px 0 0;
		padding-right: 8px;
		text-transform: uppercase;
	}
	.single-post .entry-content h2 ~ p:first-of-type::first-letter {
		font-size: initial;
		font-weight: initial;
		line-height: initial;
		float: initial;
		margin-bottom: initial;
		padding-right: initial;
		text-transform: initial;
	}
	.rtl.single-post .entry-content > p:first-of-type::first-letter {
		float: right;
		padding-left: 8px;
	}
	.rtl.single-post .entry-content h2 ~ p:first-of-type::first-letter {
		padding-left: initial;
	}	"."\n";
	endif;


	
// END CUSTOM CSS

//Output all the styles
	wp_add_inline_style( 'equable-lite-style', $custom );	
}
add_action( 'wp_enqueue_scripts', 'equable_lite_inline_styles' );	